%define real_name oxygen-gtk
%define gtk2_prefix gtk2-theme

Name: %gtk2_prefix-%real_name
Version: 1.0.4
Release: alt1

Group: Graphical desktop/GNOME
Summary: Oxygen GTK2 theme
Summary(ru_RU.UTF8): Тема Oxygen для GTK2
URL: http://kde.org/
License: LGPLv2.1

Provides: %real_name = %version-%release

Source0: %{real_name}-%{version}.tar

# Automatically added by buildreq on Tue Apr 12 2011 (-bi)
# optimized out: cmake-modules elfutils fontconfig fontconfig-devel glib2-devel libICE-devel libSM-devel libX11-devel libXau-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXrender-devel libatk-devel libcairo-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libpango-devel libstdc++-devel pkg-config python-base ruby xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: cmake gcc-c++ libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libgtk+2-devel libxkbfile-devel rpm-build-ruby
BuildRequires: cmake gcc-c++ libgtk+2-devel
BuildRequires: kde-common-devel
BuildRequires: libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel
BuildRequires: libXdmcp-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel
BuildRequires: libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libxkbfile-devel

%description
This is GTK2 port of default KDE4 Oxygen style.

%description -l ru_RU.UTF8
Данная тема представляет собой порт на GTK2 стандартного
стиля графических элементов KDE4 - Oxygen.

%prep
%setup -qn %{real_name}-%{version}

%build
%K4cmake
%K4make

%install
%K4install

%files
%_libdir/gtk-2.*/*/engines/*.so
%_datadir/themes/%real_name

%changelog
* Tue Apr 12 2011 Sergey V Turchin <zerg@altlinux.org> 1.0.4-alt1
- new version

* Fri Mar 25 2011 Sergey V Turchin <zerg@altlinux.org> 1.0.3-alt2
- using sources from anongit.kde.org

* Tue Mar 15 2011 Sergey V Turchin <zerg@altlinux.org> 1.0.3-alt1
- new version

* Mon Feb 14 2011 Sergey V Turchin <zerg@altlinux.org> 1.0.2-alt1
- new version

* Mon Jan 17 2011 Sergey V Turchin <zerg@altlinux.org> 1.0.1-alt1
- initial build
